Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#39465 closed defect (duplicate)

Error: Processing of port octave-devel failed

Reported by: laura.conti99@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.1.3
Keywords: Cc:
Port:

Description

I am trying to install octave-devel with the instruction:

sudo port install octave-devel +atlas+docs

and I get the following error:

Error: The following dependencies were not installed: epstool ghostscript xorg-libXext xorg-libX11 xorg-libxcb doxygen graphviz gd2 xpm xorg-libXt libLASi pango Xft2 xrender cairo xorg-xcb-util gobject-introspection harfbuzz xorg-libXaw groff xorg-libXmu texlive texlive-basic texlive-bin poppler xorg-libXp texlive-documentation-base texlive-bin-extra dvipng latexmk texlive-latex pdfjam texlive-latex-recommended pgf texlive-context texlive-fonts-recommended texlive-math-extra texlive-metapost texlive-xetex texlive-generic-recommended texlive-documentation-english texlive-fontutils lcdf-typetools ps2eps texlive-lang-czechslovak texlive-lang-dutch texlive-lang-english texlive-lang-french texlive-lang-german texlive-lang-italian texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish texlive-luatex texlive-latex-extra texlive-pictures gnuplot pstoedit ImageMagick transfig
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port octave-devel failed

I have already tried to clean and re-install but I get the same error message

Change History (7)

comment:1 Changed 4 years ago by laura.conti99@…

In the error message I get I can't see the indication of an error.log that I can look at or attach here for further indication on the problem

comment:2 Changed 4 years ago by ryandesign (Ryan Schmidt)

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate of #37604.

comment:3 follow-up: Changed 4 years ago by laura.conti99@…

I have already seen #37604 and what it says there does not help me. In other words, I am new to macports, what should I do to solve this problem? Thanks.

Last edited 4 years ago by laura.conti99@… (previous) (diff)

comment:4 in reply to: ↑ 3 ; follow-up: Changed 4 years ago by cooljeanius (Eric Gallager)

Replying to laura.conti99@…:

I have already seen #37604 and what it says there does not help me. In other words, I am new to macports, what should I do to solve this problem? Thanks.

Trac is not tech support, but I'll be helpful anyways: try installing doxygen first by itself without any variants, and then try installing octave-devel again. Alternatively you can try installing octave-devel first without the +docs variant, and then if that works, you can then try it with the +docs variant again.

Last edited 4 years ago by cooljeanius (Eric Gallager) (previous) (diff)

comment:5 in reply to: ↑ 4 ; follow-up: Changed 4 years ago by laura.conti99@…

Replying to egall@…:

Replying to laura.conti99@…:

I have already seen #37604 and what it says there does not help me. In other words, I am new to macports, what should I do to solve this problem? Thanks.

Trac is not tech support, but I'll be helpful anyways: try installing doxygen first by itself without any variants, and then try installing octave-devel again. Alternatively you can try installing octave-devel first without the +docs variant, and then if that works, you can then try it with the +docs variant again.

Thanks! I'll try. I apologize if I posted to the wrong place. I just followed the indications given by the error.

comment:6 Changed 4 years ago by laura.conti99@…

I don't know if I can post it here but I thought maybe it can be of help to others. Running first

port install octave-devel

and then

port install octave-devel +atlas+docs

solved my problem.

comment:7 in reply to: ↑ 5 Changed 4 years ago by cooljeanius (Eric Gallager)

Replying to laura.conti99@…:

Replying to egall@…:

Trac is not tech support, but I'll be helpful anyways: try installing doxygen first by itself without any variants, and then try installing octave-devel again. Alternatively you can try installing octave-devel first without the +docs variant, and then if that works, you can then try it with the +docs variant again.

Thanks! I'll try. I apologize if I posted to the wrong place. I just followed the indications given by the error.

Yeah, MacPorts could probably use better bug-reporting messages/directions on errors... semi-related are #38095 and #38662

Note: See TracTickets for help on using tickets.